<ion-content>
  <div class="container header">
    <img src="assets/icon/arrow.svg" (click)="arrowBack()">
    <h1 class="item" >{{categoryParent}}</h1>
    <div class="searchbar">
      <ion-searchbar placeholder="Que cherches-tu ?"></ion-searchbar>
    </div>
  </div>
  <div class="container flex chips-scroll">
    <div class="flex-scroll">
      <div class="info-chip scroll-item container-flex sm-space">
        <p class="small-text">{{categoryParent}}</p>
        <img src="assets/icon/check.svg" alt="check" class="chip-check">
      </div>
    </div>
  </div>
  <hr>

  <div class="container add-product flex" *ngIf="data">
    <h2>Choisis parmi ces catégories</h2>
    <div class="container-flex">
      <div *ngFor="let category of categories" class="item" (click)="setCategory(category.id)">
        <div class="img-container">
          <img src="assets/img/addProduct/{{category.id}}.jpg" class="img">
        </div>
        <div class="label">{{category.name}}</div>
      </div>
    </div>
  </div>

  <div *ngIf="!data" class="skeleton container flex lg-space ">
  <ion-list>
    <ion-label>
      <ion-skeleton-text animated style="width: 50%"></ion-skeleton-text>
    </ion-label>

    <div class="container-flex sm-space">
      <ion-item lines="none" class="item" style="height: 145px">
        <ion-thumbnail class="skeleton-item" slot="start">
          <ion-skeleton-text animated></ion-skeleton-text>
        </ion-thumbnail>
      </ion-item>
      <ion-item lines="none" class="item">
        <ion-thumbnail class="skeleton-item" slot="start">
          <ion-skeleton-text animated></ion-skeleton-text>
        </ion-thumbnail>
      </ion-item>
    </div>
    <div class="container-flex sm-space">
      <ion-item lines="none" class="item">
        <ion-thumbnail class="skeleton-item" slot="start">
          <ion-skeleton-text animated></ion-skeleton-text>
        </ion-thumbnail>
      </ion-item>
      <ion-item lines="none" class="item">
        <ion-thumbnail class="skeleton-item" slot="start">
          <ion-skeleton-text animated></ion-skeleton-text>
        </ion-thumbnail>
      </ion-item>
    </div>
    <div class="container-flex sm-space">
      <ion-item lines="none" class="item">
        <ion-thumbnail class="skeleton-item" slot="start">
          <ion-skeleton-text animated></ion-skeleton-text>
        </ion-thumbnail>
      </ion-item>
      <ion-item lines="none" class="item">
        <ion-thumbnail class="skeleton-item" slot="start">
          <ion-skeleton-text animated></ion-skeleton-text>
        </ion-thumbnail>
      </ion-item>
    </div>
  </ion-list>
</div>


</ion-content>
